<apex:page controller="USCP_BOLListController"  extensions="USCP_PageTrackingController" action="{!LogPageVisit}"
    showheader="false"
    contenttype="application/vnd.ms-excel#BOL_Report.xls" 
    cache="true">
<apex:pageBlock >
            <apex:outputPanel id="results">
            <apex:repeat value="{!AllRecordPages}" var="BOLRecordPage">  
                <apex:pageBlockTable value="{!BOLRecordPage}" var="o" border="1">
                    <apex:column value="{!o.Account__r.name}"/>
                    <apex:column value="{!o.BOL_Number__c}"/>
                    <apex:column value="{!o.Line_Number__c}"/>                    
                    <apex:column value="{!o.Invoice__r.Name}"/>                                        
                    <apex:column value="{!o.Location__r.Name}"/>
                    <apex:column value="{!o.Product__r.Name}"/>
                    <apex:column value="{!o.Movement_Date__c}"/>
                    <apex:column value="{!o.Movement_Time__c}"/>                    
                    <apex:column value="{!o.Net_Quantity__c}"/>
                    <apex:column value="{!o.Gross_Quantity__c}"/>
                    <apex:column value="{!o.Lifting_Number__c}"/>
                    <apex:column value="{!o.Type__c}"/>
                    <apex:column value="{!o.Destination_Location__c}"/>
                    <apex:column value="{!o.Carrier__c}"/>                                                            
                </apex:pageBlockTable>
            </apex:repeat>    
            </apex:outputPanel>   
</apex:pageBlock>           
  
</apex:page>